SUBDIRS = api

EXTRA_DIST = 	*.html 		\
		*.txt		\
		images/*.gif	\
		install/*.html	\
		protocol/*.html	\
		future/*.html

DOCFILES = $(strip $(shell ls $(EXTRA_DIST)))

docdir = ${prefix}/docs
doc_DATA= $(DOCFILES)

create-dirs :
	$(mkinstalldirs) $(DESTDIR)$(docdir) \
		$(DESTDIR)$(docdir)/api \
		$(DESTDIR)$(docdir)/images \
		$(DESTDIR)$(docdir)/install \
		$(DESTDIR)$(docdir)/protocol \
		$(DESTDIR)$(docdir)/future 

# create directories first
doc: $(doc_OBJECTS) $(doc_DEPENDENCIES) create-dirs

install-exec-am: doc
